Bug 1010087 - [abrt] evolution-3.9.92-1.fc20: item_removed: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.9.92-1.fc20: item_removed: Process /usr/bin/evolution was ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:6e7fd22dff735308168171f6f01...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 19:10 EDT by Adam Williamson
Modified: 2014-05-18 12:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-20 03:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (74.74 KB, text/plain)
2013-09-19 19:10 EDT, Adam Williamson
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-19 19:10 EDT, Adam Williamson
no flags Details
File: core_backtrace (57.83 KB, text/plain)
2013-09-19 19:10 EDT, Adam Williamson
no flags Details
File: dso_list (26.30 KB, text/plain)
2013-09-19 19:10 EDT, Adam Williamson
no flags Details
File: environ (1.96 KB, text/plain)
2013-09-19 19:10 EDT, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-19 19:10 EDT, Adam Williamson
no flags Details
File: maps (176.80 KB, text/plain)
2013-09-19 19:10 EDT, Adam Williamson
no flags Details
File: open_fds (2.35 KB, text/plain)
2013-09-19 19:10 EDT, Adam Williamson
no flags Details
File: proc_pid_status (953 bytes, text/plain)
2013-09-19 19:10 EDT, Adam Williamson
no flags Details
File: var_log_messages (1.73 KB, text/plain)
2013-09-19 19:10 EDT, Adam Williamson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 708437 None None None Never

  None (edit)
Description Adam Williamson 2013-09-19 19:10:13 EDT
Description of problem:
Not sure what triggered this, I've been poking at carddav sync.

Version-Release number of selected component:
evolution-3.9.92-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        evolution
crash_function: item_removed
executable:     /usr/bin/evolution
kernel:         3.12.0-0.rc1.git2.2.fc21.x86_64
runlevel:       N N
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 item_removed at e-reflow.c:423
 #1 g_cclosure_marshal_VOID__INTv at gmarshal.c:410
 #2 _g_closure_invoke_va at gclosure.c:840
 #9 view_remove_contact_cb at e-addressbook-model.c:260
 #10 g_cclosure_marshal_VOID__POINTERv at gmarshal.c:1236
 #11 _g_closure_invoke_va at gclosure.c:840
 #14 book_client_view_emit_objects_removed_idle_cb at e-book-client-view.c:207
 #19 gtk_main at gtkmain.c:1158
Comment 1 Adam Williamson 2013-09-19 19:10:16 EDT
Created attachment 800214 [details]
File: backtrace
Comment 2 Adam Williamson 2013-09-19 19:10:19 EDT
Created attachment 800215 [details]
File: cgroup
Comment 3 Adam Williamson 2013-09-19 19:10:21 EDT
Created attachment 800216 [details]
File: core_backtrace
Comment 4 Adam Williamson 2013-09-19 19:10:24 EDT
Created attachment 800217 [details]
File: dso_list
Comment 5 Adam Williamson 2013-09-19 19:10:27 EDT
Created attachment 800218 [details]
File: environ
Comment 6 Adam Williamson 2013-09-19 19:10:31 EDT
Created attachment 800219 [details]
File: limits
Comment 7 Adam Williamson 2013-09-19 19:10:33 EDT
Created attachment 800220 [details]
File: maps
Comment 8 Adam Williamson 2013-09-19 19:10:36 EDT
Created attachment 800221 [details]
File: open_fds
Comment 9 Adam Williamson 2013-09-19 19:10:38 EDT
Created attachment 800222 [details]
File: proc_pid_status
Comment 10 Adam Williamson 2013-09-19 19:10:41 EDT
Created attachment 800223 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-09-20 03:50:24 EDT
Thanks for a bug report. Based on the backtrace, a notification about removed contact was received, and UI tried to react on it. I think it'll be harder to reproduce, but I'm moving this upstream anyway. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=708437

Note You need to log in before you can comment on or make changes to this bug.